local WhiteCounter = {}
_G.WhiteCounter = WhiteCounter
local frame = _G.WhiteCounterFrame
local playerName
local WhiteCount = 0
local updateinterval = 0.25
local updateET = 0
local shouldUpdate = false
local reset = false

function WhiteCounterOnEvent(source, hitType, skill)
	playerName = playerName or UnitName("player")

	if (source == playerName) then
		if skill == "ATTACK" then
			WhiteCount = WhiteCount + 1
			shouldUpdate = true	
		end	
	end
end

function WhiteCounterReset(this)
	WhiteCount = 0
	updateET = 0
	shouldUpdate = false
	reset = true
	WhiteCounterFrameDesc:SetText("# hits in # seconds = #hit/s")
	DEFAULT_CHAT_FRAME:AddMessage("WhiteCounter Reset")
end

function WhiteCounterOnUpdate( this, et )
	if not this.timer or reset then
		this.timer = 0
		reset = false
	end

	if shouldUpdate then
		updateET = updateET + et
		if updateET > updateinterval then
			this.timer = this.timer + updateinterval
			WhiteCounterFrameDesc:SetText(string.format("%u hits in %2.1f seconds = %2.3fhits/s", WhiteCount, this.timer, WhiteCount/this.timer))
			updateET = 0
		end


		if not GetPlayerCombatState() then
			shouldUpdate = false
		end
	end
end